com.lowagie.text.rtf.field

## Class RtfPageNumber

- java.lang.Object
- - com.lowagie.text.Chunk
  - - com.lowagie.text.rtf.field.RtfField
    - - com.lowagie.text.rtf.field.RtfPageNumber

- All Implemented Interfaces:
    Element, RtfBasicElement, RtfElementInterface

      public class RtfPageNumber
      extends RtfField

  The RtfPageNumber provides the page number field in rtf documents.
  Version:
    $Id$
  Author:
    Mark Hall (Mark.Hall@mail.room3b.eu), Steffen.Stundzig (Steffen.Stundzig@smb-tec.com), Thomas Bickel (tmb99@inode.at)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static byte[]` | `PAGE_NUMBER` Constant for the page number

    - ### Fields inherited from class com.lowagie.text.rtf.field.RtfField

      `document`

    - ### Fields inherited from class com.lowagie.text.Chunk

      `ACTION, attributes, BACKGROUND, CHAR_SPACING, COLOR, content, ENCODING, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SEPARATOR, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TAB, TEXTRENDERMODE, UNDERLINE`

    - ### Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement

      `CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

    - ### Fields inherited from interface com.lowagie.text.Element

      `ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtfPageNumber()` Constructs a RtfPageNumber.
    `RtfPageNumber(Font font)` Constructs a RtfPageNumber with a specified Font.
    `RtfPageNumber(RtfDocument doc)` Constructs a RtfPageNumber object.
    `RtfPageNumber(RtfDocument doc, Font font)` Constructs a RtfPageNumber object with a specific font.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `writeFieldInstContent(java.io.OutputStream result)` Writes the field instruction content
    `protected void` | `writeFieldResultContent(java.io.OutputStream result)` Writes the field result content

    - ### Methods inherited from class com.lowagie.text.rtf.field.RtfField

      `isEmpty, isFieldAlt, isFieldDirty, isFieldEdit, isFieldLocked, isFieldPrivate, isInHeader, isInTable, setFieldAlt, setFieldDirty, setFieldEdit, setFieldLocked, setFieldPrivate, setFont, setInHeader, setInTable, setRtfDocument, writeContent`

    - ### Methods inherited from class com.lowagie.text.Chunk

      `append, getAttributes, getCharacterSpacing, getChunks, getContent, getFont, getHorizontalScaling, getHyphenation, getImage, getTextRise, getWidthPoint, hasAttributes, isContent, isNestable, process, setAction, setAnchor, setAnchor, setAnnotation, setAttributes, setBackground, setBackground, setCharacterSpacing, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PAGE_NUMBER

          private static final byte[] PAGE_NUMBER

      Constant for the page number

  - ### Constructor Detail

    - #### RtfPageNumber

          public RtfPageNumber()

      Constructs a RtfPageNumber. This can be added anywhere to add a page number field.

    - #### RtfPageNumber

          public RtfPageNumber(Font font)

      Constructs a RtfPageNumber with a specified Font. This can be added anywhere to add a page number field.
      Parameters:
        `font` -

    - #### RtfPageNumber

          public RtfPageNumber(RtfDocument doc)

      Constructs a RtfPageNumber object.
      Parameters:
        `doc` - The RtfDocument this RtfPageNumber belongs to

    - #### RtfPageNumber

          public RtfPageNumber(RtfDocument doc,
                       Font font)

      Constructs a RtfPageNumber object with a specific font.
      Parameters:
        `doc` - The RtfDocument this RtfPageNumber belongs to
        `font` - The Font to use

  - ### Method Detail

    - #### writeFieldInstContent

          protected void writeFieldInstContent(java.io.OutputStream result)
                                        throws java.io.IOException

      Writes the field instruction content
      Specified by:
        `writeFieldInstContent` in class `RtfField`
      Parameters:
        `result` - The `OutputStream` to write to.
      Throws:
        `java.io.IOException` - on i/o errors.

    - #### writeFieldResultContent

          protected void writeFieldResultContent(java.io.OutputStream result)
                                          throws java.io.IOException

      Writes the field result content
      Specified by:
        `writeFieldResultContent` in class `RtfField`
      Parameters:
        `result` - The `OutputStream` to write to.
      Throws:
        `java.io.IOException` - on i/o errors.